/* 
#f0d9b5
#b58863 
*/

/* --------------- */
/* 全体            */
/* --------------- */
html, body {
    height: 100%;
    scroll-behavior: smooth;
}

body {
    margin: 0;
    /* padding: 0; */
    font-family: system-ui, -apple-system, sans-serif;
    background: #f8f8f8;
    color: #222;
}

.page-wrapper {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    width: 100%
}


/* --------------- */
/* header          */
/* --------------- */
.site-header {
    text-align: center;
    padding: 16px;
    border-bottom: 1px solid #ddd;
    background: #fff;
}

.site-header h1 {
    margin-bottom: 0;
}

.site-header h1 a {
    text-decoration: none;
    color: inherit;
}

.site-header h2 {
    margin-top: 0;
    color: #b58863;
}

.site-header h2 a {
    text-decoration: none;
}


/* --------------- */
/* Footer          */
/* --------------- */
.site-footer {
    position: static;
    text-align: center;
    padding: 16px;
    border-top: 1px solid #ddd;
    background: #fff;
    font-size: 0.8rem;
}

.site-link {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  gap: 10px;
}

.site-footer p {
  color: #555;
}

.site-footer .menu-btn {
    background-color: #fff;
}

.site-footer .menu-btn img {
  width: 90%;
  height: 90%;
}

/* site-footer button color #3aabd2 */

/* --------------- */
/* Contents        */
/* --------------- */
.content {
    width: min(80vmin, 480px);
    flex: 1;
    margin: 24px auto;
    padding: 0 16px;
}

.lead {
    font-size: 0.9rem;
    margin-bottom: 16px;
}


/* --------------- */
/* Form            */
/* --------------- */
.input-form input,
.input-form textarea {
    width: 100%;
    padding: 8px;
    margin-top: 10px;
    font-size: 0.9rem;
    box-sizing: border-box;
}

.login-checkbox {
    width: fit-content;
    margin: 5px auto 15px;
}

.alert-message {
    font-size:0.8rem;
    color: #f90000;
}

/* --------------- */
/* div             */
/* --------------- */
/* 縦並び */
.column-div {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

/* 横並び */
.row-div {
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 2px;
}

/* --------------- */
/* Text            */
/* --------------- */
.gray-text {
    font-size: 0.85rem;
    color: #555;
}


/* --------------- */
/* Link            */
/* --------------- */
.blue-link {
    color: #0066cc;
    text-decoration: none;
    white-space: nowrap;
}

.red-link {
    color: #cc0000;
    text-decoration: none;
    white-space: nowrap;
    font-weight: bold;
}


/* --------------- */
/* Buttons　　　　  */
/* --------------- */

.no-deco-btn {
    background: none;
    border: none;
    padding: 0;
    text-decoration: none;
    cursor: pointer;
    font: inherit;
}

.submit-btn {
    width: 100%;
    padding: 10px;
    font-size: 1rem;
    background: #333;
    color: #fff;
    border: none;
    cursor: pointer;
}

.submit-btn-white {
    width: 100%;
    padding: 10px;
    font-size: 1rem;
    background: #fff;
    color: #333;
    border: 1px solid #333;
    cursor: pointer;
}



/* --------------- */
/* Brand Icon Buttons     */
/* --------------- */
.brand-icon-buttons {
  display: flex;
  gap: 20px;
  justify-content: center;
}

.brand-icon-btn {
  padding: 6px;
  width: 40px;
  height: 40px;
  border-radius: 6px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
}

.brand-icon-btn i {
  font-size: 22px;
  color: #fff;
}

/* 未使用 */
.brand-icon-btn.google{
    background: transparent;
}

.brand-icon-btn.google i{
    color:#EA4335;;
}

/* 使用中 */
.brand-icon-btn.x { background: #000; }
.brand-icon-btn.facebook { background: #1877f2; }
.brand-icon-btn.whatsapp { background: #06c755; }
.brand-icon-btn.line { background: #06c755; }


/* --------------- */
/* Messages　      */
/* --------------- */
#message-container {
    position: fixed;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 9999;
    width: 90%;
    max-width: 500px;
}

.message {
    padding: 14px 18px;
    margin-bottom: 10px;
    border-radius: 8px;
    border: 1px solid;
    font-size: 16px;
    text-align: center;

    opacity: 1;
    transition: opacity 0.5s ease;
}

.message.success {
    background: #d4edda;
    color: #155724;
    border-color: #c3e6cb;
}

.message.error {
    background: #f8d7da;
    color: #721c24;
    border-color: #f5c6cb;
}

.message.warning {
    background: #fff3cd;
    color: #856404;
    border-color: #ffeeba;
}

.message.info {
    background: #d1ecf1;
    color: #0c5460;
    border-color: #bee5eb;
}

.message.fade-out {
    opacity: 0;
}


/* --------------- */
/* Table           */
/* --------------- */

table {
  font-size: 0.9rem;
  text-align: center;
  color: #333;
  width: 150px;
  width: min(80%, 300px);
  margin: 20px auto;
  border-collapse: collapse;
  border: 1px solid #333;
}

table thead {
    background-color: #333;
    color: #ddd;
}

table thead th,
table thead td {
    border-color: #ddd;
}

table th,
table td {
  border: 1px solid #333;
  padding: 4px;
}
